All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
oszi.bas File Reference

Example: draw a graph of analog inputs. More...

`#include "../pruio/pruio.bi"`
`#include "fbgfx.bi"`
Include dependency graph for oszi.bas:

Go to the source code of this file.

## Functions

int | main ()

## Variables

VAR | S_W = 0
| The screen width.
VAR | S_H = 0
| The srceen hight.
VAR | BPP = 0
| The bits per plain number.
VAR | full = fb.GFX_FULLSCREEN
| Fullscreen or windowed mode.
VAR | p = INSTR(COMMAND, "x")
| The position of the 'x' character (if any). More...
VAR | w = VALINT(COMMAND)
| The required window width.
VAR | h = VALINT(MID(COMMAND, p + 1))
| The required window hight.
UInt32 | col [...]
| The colors for the lines (= channels). More...
UInt32 | last [...]
| The previous data of the channels. More...
VAR | io = NEW PruIo
| Create a PruIo structure, wakeup subsystems.
VAR | scale = S_H / 65520
| The factor to scale values.
VAR | gap = 2
| The gap between x values.
VAR | fg = RGB(0, 0, 0)
| The foreground color.
VAR | bg = RGB(250, 250, 250)
| The background color.
VAR | k = ASC(INKEY())
| The key code.
VAR | m = .Conf->STEPENABLE
| The step mask.
VAR | neu = S_H - CUINT(.Value[i] * scale)
| The new sample.
VAR | j = i - 1
| The channel index.

## Detailed Description

Example: draw a graph of analog inputs.

This file contains an example on how to use libpruio to continuously draw a graph of the sampled data from the analog input lines.

Licence: GPLv3

Copyright 2014 by Thomas{ dOt ]Freiherr[ At ]gmx[ DoT }net

Compile by: `fbc -w all oszi.bas`

Definition in file oszi.bas.

## Function Documentation

int main | ( |  | ) |

The main function.

Definition at line 135 of file oszi.bas.

Here is the call graph for this function:

## Variable Documentation

UInt32 col[...]

Initial value:
= {
, RGBA(255, 0, 0, 255)
, RGBA( 0, 255, 0, 255)
, RGBA( 0, 0, 255, 255)
, RGBA(255, 255, 0, 255)
, RGBA(255, 0, 255, 255)
, RGBA( 0, 255, 255, 255)
, RGBA(127, 127, 127, 255)
}

The colors for the lines (= channels).

Definition at line 46 of file oszi.bas.

UInt32 last[...]

Initial value:
= {
0
, 0
, 0
, 0
, 0
, 0
, 0
, 0
}

The previous data of the channels.

Definition at line 59 of file oszi.bas.

VAR p = INSTR(COMMAND, "x")

The position of the 'x' character (if any).

A (local) pointer to the samples.

Definition at line 28 of file oszi.bas.